#if defined AutoRecorder_included
	#endinput
#endif
#define AutoRecorder_included

native bool IsDemoRecording();

native int GetDemoRecordingNumber();
native int GetDemoRecordingTick();

public SharedPlugin __pl_AutoRecorder =
{
	name = "AutoRecorder",
	file = "AutoRecorder.smx",
#if defined REQUIRE_PLUGIN
	required = 1
#else
	required = 0
#endif
};

#if !defined REQUIRE_PLUGIN
public void __pl_AutoRecorder_SetNTVOptional()
{
	MarkNativeAsOptional("IsDemoRecording");
	MarkNativeAsOptional("GetDemoRecordingNumber");
    MarkNativeAsOptional("GetDemoRecordingTick");
}
#endif
